Skip to main content
POST
Refresh a credential

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

artifact_id
string<uuid>
required

The MCP server artifact's ID.

Response

Successful Response

Whether a credential is connected. Never its value.

connected
boolean
required
kind
string | null
header_name
string | null
expires_at
string<date-time> | null
expiring
boolean
default:false
expired
boolean
default:false
updated_at
string<date-time> | null
can_refresh
boolean
default:false